NX Journal 点を選択するダイアログ

Share on:

NX Openで点を選択するダイアログを表示するプログラムを作成しました。今回作ったプログラムはSelectTaggedObjectsで選択可能なオブジェクトをUF_point_typeに絞ることで点のみ選択可能になるようにしています。

Pythonコード

 1import NXOpen
 2import NXOpen.UF
 3 
 4def main():
 5    theSession  = NXOpen.Session.GetSession()
 6    workPart = theSession.Parts.Work
 7 
 8    # 点の選択
 9    res = selectPoints()
10    response = res[0]
11    points = res[1]
12    
13    lw = theSession.ListingWindow
14    lw.Open()
15
16    for point in points:
17        lw.WriteLine(str(point))
18 
19def selectPoints():
20    mask = NXOpen.SelectionMaskTriple_Struct()
21    mask.Type = NXOpen.UF.UFConstants.UF_point_type
22    mask.Subtype = NXOpen.UF.UFConstants.UF_point_subtype
23    scope = NXOpen.Selection.SelectionScope.AnyInAssembly
24    action = NXOpen.Selection.SelectionAction.ClearAndEnableSpecific
25    res = NXOpen.UI.GetUI().SelectionManager.SelectTaggedObjects(
26        "点を選んでください", "点の選択", scope, action, False, False, [mask])
27    return res
28 
29if __name__ == '__main__':
30    main()

関連記事